# I3SLayer

#### internal constructor new Cesium.I3SLayer()
engine/Source/Scene/I3SLayer.js 23

This class implements an I3S layer. In CesiumJS each I3SLayer creates a Cesium3DTileset.

Do not construct this directly, instead access layers through `I3SDataProvider`.

### Members

#### readonly data : object
engine/Source/Scene/I3SLayer.js 109

Gets the I3S data for this object.

#### readonly legacyVersion16 : boolean
engine/Source/Scene/I3SLayer.js 157

When `true`, when the loaded I3S version is 1.6 or older

#### readonly majorVersion : number
engine/Source/Scene/I3SLayer.js 133

The major version number of the loaded I3S dataset

#### readonly minorVersion : number
engine/Source/Scene/I3SLayer.js 145

The minor version number of the loaded I3S dataset

#### readonly resource : Resource
engine/Source/Scene/I3SLayer.js 75

Gets the resource for the layer.

#### readonly rootNode : I3SNode
engine/Source/Scene/I3SLayer.js 87

Gets the root node of this layer.

#### readonly tileset : Cesium3DTileset|undefined
engine/Source/Scene/I3SLayer.js 98

Gets the Cesium3DTileset for this layer.

#### readonly version : string
engine/Source/Scene/I3SLayer.js 121

The version string of the loaded I3S dataset

### Methods

#### filterByAttributes(filters) → Promise.<void>
engine/Source/Scene/I3SLayer.js 442

Filters the drawn elements of a layer to specific attribute names and values

Name | Type | Default | Description
--- | --- | --- | ---
`filters` | Array.<I3SNode.AttributeFilter> | `[]` | optional The collection of attribute filters

##### Returns:

A promise that is resolved when the filter is applied

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.